Subject: I-D ACTION:draft-ietf-pwe3-ethernet-encap-04.txt

From: [email-masked]
Date: Mon Oct 13, 2003 1:56:49 PM America/Denver

A New Internet-Draft is available from the on-line Internet-Drafts  
directories.
This draft is a work item of the Pseudo Wire Emulation Edge to Edge  
Working Group of the IETF.

	Title		: Encapsulation Methods for Transport of Ethernet
			  Frames Over IP/MPLS Networks
	Author(s)	: L. Martini, et. al.
	Filename	: draft-ietf-pwe3-ethernet-encap-04.txt
	Pages		: 19
	Date		: 2003-10-13
	
An Ethernet Pseudowire (PW) is used to carry Ethernet/802.3 Protocol
Data Units over an IP or MPLS network. This enables service providers
to offer 'emulated' ethernet services over existing IP or MPLS
networks. This document specifies the encapsulation of Ethernet/802.3
PDUs within a pseudowire. It also specifies the procedures for using
a PW to provide a 'point-to-point ethernet' service.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-pwe3-ethernet-encap- 
04.txt

To remove yourself from the IETF Announcement list, send a message to
ietf-announce-request with the word unsubscribe in the body of the  
message.

Internet-Drafts are also available by anonymous FTP. Login with the  
username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-pwe3-ethernet-encap-04.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-pwe3-ethernet-encap-04.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

---

From: Eric Rosen <[email-masked]>
Date: Mon, 27 Oct 2003 10:41:34 -0500

> I understand that there is no standard for "vlan stacking," but this would
> be helpful when a service provider's choice is to only send a local
> enterprise's traffic through a single large pipe which is already running
> 802.1q and stacking and for some reason does not have the port to bring that
> customer's connection via a raw interface. 

I'm not sure  what you're asking for.  What is the  relation between (a) the
utility of VLAN stacking and (b) PWE3?

---

From: "Rick Osteen" <[email-masked]>
Date: Mon, 27 Oct 2003 15:09:44 -0500

Eric,

So, a customer's vlan can be transported through an existing MAN that
utilizes vlans today and then can transport over a backbone via ip in PWE.
Thanks for your time.
Rick Osteen

+-------------+                                      +-------------+
   |  Emulated   |                                        |  Emulated   |
   |  Ethernet   |                                          |  Ethernet   |
   | (including  |     Cust. Emulated Service | (including  |
   |  VLAN)      |<===============>|  VLAN)      |
   |  Services   |                                         |  Services   |
+-------------+                                      +-------------+
   |  Emulated   |                                        |  Emulated   |
   |  Ethernet   |                                          |  Ethernet   |
   | (including  |  Provider Emulated Service| (including  |
   |  VLAN)      |<===============>|  VLAN)      |
   |  Services   |                                         |  Services   |
   +-------------+    Pseudo Wire           +-------------+
   |Demultiplexer|<===============>|Demultiplexor|
   +-------------+                                   +-------------+
   |    PSN      |            PSN Tunnel          |    PSN      |
   | MPLS or IP  |<==============>| MPLS or IP  |
   +-------------+                                  +-------------+
   |  Physical   |                                        |  Physical   |
   +-----+-------+                                +-----+-------+

      Figure 2: Ethernet PWE3 Protocol Stack Reference Model

----- Original Message -----
From: "Eric Rosen" <[email-masked]>
To: "Rick Osteen" <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, October 27, 2003 10:41 AM
Subject: Re: [PWE3] I-D ACTION:draft-ietf-pwe3-ethernet-encap-04.txt

> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3

---

From: Eric Rosen <[email-masked]>
Date: Mon, 27 Oct 2003 15:26:51 -0500

With existing  PWE3 mechanisms, one  can provide a MAN-to-MAN  ethernet port
which carries  frames that have stacked  VLAN tags; to PWE3,  these are just
ethernet frames.  Alternatively,  one can provide a PW  which carries only a
single  customer VLAN.   I don't  see what  you are  asking for  which isn't
already there.